#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="注意"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server 现在可升级到正式版本。升级后，在同一时间点只有 1 组帐户能够使用专业版功能（即 Synology SSL VPN、WebVPN 和 SSTP VPN）。您确定要升级 VPN Plus Server 到正式版本？"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>即将推出</b>：可购买的许可证即将推出，可访问更多的专业版功能。"

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
