#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="注意"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server 現已可升級至正式版本。升級後，在同一時間點僅有 1 組帳號能夠使用專業版功能 (即 Synology SSL VPN、WebVPN 及 SSTP VPN)。您確定要升級 VPN Plus Server 至正式版本嗎？"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>即將上市</b>：可購買的授權即將上市，能讓更多使用者使用專業版功能。"

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
