#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Poznámka"
PKG_STR_WIZARD_UPGRADE_NOTE1="Službu VPN Plus Server lze nyní aktualizovat na oficiální verzi. Po aktualizaci bude přístup k prémiovým funkcím (tj. Synology SSL VPN, WebVPN a SSTP VPN) povolen pouze 1 souběžnému účtu. Opravdu chcete aktualizovat službu VPN Plus Server na oficiální verzi?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Již brzy</b>: Brzy bude možné zakoupit licence umožňující další přístup k prémiovým funkcím."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
