#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Bemærk"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server kan nu opdateres til den officielle version. Efter opdatering tillades kun 1 samtidig konto adgang til premium-funktioner (dvs. Synology SSL VPN, WebVPN og SSTP VPN). Er du sikker på, at du vil opdatere VPN Plus Server til den officielle version?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Kommer snart</b>: Licenser, der kan købes, bliver snart tilgængelige, så du får adgang til premium-funktionerne."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
