#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Remarque"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server peut maintenant être mis à jour vers la version officielle. Après la mise à jour, 1 seul compte concomitant sera autorisé à accéder aux fonctionnalités Premium (c'est-à-dire Synology SSL VPN, WebVPN et SSTP VPN). Êtes-vous certain de vouloir procéder à la mise à jour de VPN Plus Server vers la version officielle ?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Bientôt</b> : Des licences seront bientôt disponibles à l'achat pour vous permettre de mieux accéder aux fonctionnalités Premium."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
