#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Hinweis"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server kann nun auf die offizielle Version aktualisiert werden. Nach der Aktualisierung hat nur jeweils 1 Konto gleichzeitig Zugriff auf die Premiumfunktionen (z. B. Synology SSL VPN, WebVPN und SSTP VPN). Sind Sie sicher, dass Sie VPN Plus Server auf die offizielle Version aktualisieren möchten?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Demnächst</b>: Es werden in Kürze Lizenzen zum Kauf erhältlich sein, die mehr Zugriff auf Premium-Funktionen ermöglichen."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
