#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Megjegyzés"
PKG_STR_WIZARD_UPGRADE_NOTE1="A VPN Plus Server most már frissíthető a hivatalos verzióra. A frissítést követően egyszerre csak 1 fiók fog tudni hozzáférni a prémium funkciókhoz (Synology SSL VPN, WebVPN és SSTP VPN). Biztosan szeretne a VPN Plus Server hivatalos verziójára frissíteni?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Hamarosan</b>: A közeljövőben bevezetjük a fizetős licenceket, amelyekkel több személy számára is kiterjesztheti a prémium funkciók elérését."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
