#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Nota"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server può essere ora aggiornato alla versione ufficiale. Dopo l'aggiornamento, solo 1 account concorrente sarà autorizzato ad accedere alle funzioni premium (vale a dire Synology SSL VPN, WebVPN e SSTP VPN). Aggiornare VPN Plus Server alla versione ufficiale?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>A breve</b>: Le licenze da acquistare saranno presto disponibili per consentire maggiore accesso alle funzioni premium."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
