#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="注"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server は、公式バージョンに更新できるようになりました。更新後には、1 つのアカウントのみが、プレミアム機能にアクセスできるようになります（Synology SSL VPN、WebVPN、SSTP VPN）。VPN Plus Server を公式バージョンに更新しますか？"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>準備中</b>：購入可能ライセンスが入手できるようになり、プレミアム機能への更なるアクセスが可能になります。"

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
