#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="참고"
PKG_STR_WIZARD_UPGRADE_NOTE1="지금 VPN Plus Server를 공식 버전으로 업데이트할 수 있습니다. 업데이트 후에는 1개의 동시 계정만 프리미엄 기능에 액세스할 수 있습니다(즉, Synology SSL VPN, WebVPN 및 SSTP VPN). VPN Plus Server를 공식 버전으로 업데이트하시겠습니까?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>곧 출시</b>: 프리미엄 기능을 더 많이 사용할 수 있는 라이센스를 곧 구매할 수 있습니다."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
