#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Opmerking"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server kan nu worden bijgewerkt naar de officiële versie. Na het bijwerken, heeft alleen 1 gelijktijdige account toegang tot de premiumfuncties (zoals Synology SSL VPN, WebVPN en SSTP VPN). Weet u zeker dat u VPN Plus Server wilt bijwerken naar de officiële versie?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Binnenkort beschikbaar</b>: koop licenties voor meer toegang tot premium-functies."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
