#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Merk"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server kan nå oppdateres til den offisielle versjonen. Etter oppdateringen får kun 1 konto om gangen tilgang til premiumfunksjonene (dvs. Synology SSL VPN, WebVPN og SSTP VPN). Er du sikker på at du vil oppdatere VPN Plus Server til den offisielle versjonen?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Kommer snart</b>: Betalingslisenser blir snart tilgjengelige for å gi bredere tilgang til premiumfunksjonene."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
