#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Uwaga"
PKG_STR_WIZARD_UPGRADE_NOTE1="Serwer VPN Plus Server można zaktualizować teraz do oficjalnej wersji. Po aktualizacji tylko jedno konto na raz będzie mogło korzystać z dostępu do funkcji premium (np. Synology SSL VPN, WebVPN oraz SSTP VPN). Czy na pewno chcesz zaktualizować serwer VPN Plus Server do oficjalnej wersji?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Wkrótce</b>: Wkrótce będzie można zakupić licencje, które rozszerzą dostęp do funkcji premium."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
