#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Nota"
PKG_STR_WIZARD_UPGRADE_NOTE1="O VPN Plus Server agora pode ser atualizado para a versão oficial. Após a atualização, apenas uma conta simultânea terá o acesso permitido aos recursos premium (ou seja, Synology SSL VPN, WebVPN e SSTP VPN). Tem certeza de que deseja atualizar o VPN Plus Server para a versão oficial?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Em breve</b>: Em breve, será possível comprar licenças para permitir maior acesso aos recursos premium."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
