#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Примечание"
PKG_STR_WIZARD_UPGRADE_NOTE1="Теперь VPN Plus Server можно обновить до официальной версии. После обновления только 1 учетной записи за раз будет предоставляться доступ к продвинутым функциям (например, Synology SSL VPN, WebVPN и SSTP VPN). Обновить VPN Plus Server до официальной версии?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Ожидается в ближайшее время</b> Чтобы больше пользователей могло получить доступ к расширенным функциям, скоро будут доступны приобретаемые лицензии."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
