#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Observación"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server ya puede actualizarse a la versión oficial. Después de la actualización, únicamente una cuenta podrá acceder a la vez a las funciones avanzadas (por ejemplo, Synology SSL VPN, WebVPN y SSTP VPN). ¿Seguro que desea actualizar VPN Plus Server a la versión oficial?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Próximamente</b>: Pronto estarán disponibles las licencias para permitir un acceso mayor a las funciones avanzadas."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
