#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Obs"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server kan nu uppdateras till den officiella versionen. Efter uppdateringen kan bara 1 samtidigt konto få åtkomst till premiumfunktionerna (dvs. Synology SSL VPN, WebVPN och SSTP VPN). Är du säker på att du vill uppdatera VPN Plus Server till den officiella versionen?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Kommer snart</b>: Det kommer snart att finnas licenser som ger ytterligare åtkomst till premiumfunktioner."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
