#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Note"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server can now be updated to the official version. After the update, only 1 concurrent account will be allowed access to the premium features (i.e. Synology SSL VPN, WebVPN, and SSTP VPN). Are you sure you want to update VPN Plus Server to the official version?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Coming soon</b>: Purchasable licenses will soon be available to allow more access to the premium features."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
