#!/bin/sh

PKG_STR_WIZARD_UPGRADE_TITLE="Not"
PKG_STR_WIZARD_UPGRADE_NOTE1="VPN Plus Server şimdi resmi sürüme güncellenebilir. Güncelleme sonrasında, sadece 1 eşzamanlı hesabın üst düzey özelliklere (ör. Synology SSL VPN, WebVPN ve SSTP VPN) erişmesine izin verilecektir. VPN Plus Server'ı resmi sürüme güncellemek istediğinizden emin misiniz?"
PKG_STR_WIZARD_UPGRADE_NOTE2="<b>Yakında geliyor</b>: Satın alınabilir lisanslar üst düzey özelliklere daha fazla erişim sunmak üzere yakında kullanılabilecektir."

# Copyright (c) 2016 Synology Inc. All rights reserved.

OLD_VER=`synopkg version VPNPlusServer`

UPGRADE_FROM_BETA_NOTE_PAGE=`/bin/cat<<EOF
{
	"step_title": "${PKG_STR_WIZARD_UPGRADE_TITLE}",
	"items": [{
		"desc": "${PKG_STR_WIZARD_UPGRADE_NOTE1}<br><br>${PKG_STR_WIZARD_UPGRADE_NOTE2}"
	}]
}
EOF`

GetUpgradeNotePages()
{
	local Pages=""

	if [ "x1.0.0-0053" == "x$OLD_VER" -o "x1.0.0-0054" == "x$OLD_VER" ]; then
		[ -z "$Pages" ] && Pages="${UPGRADE_FROM_BETA_NOTE_PAGE}" \
						|| Pages="${Pages},${UPGRADE_FROM_BETA_NOTE_PAGE}"
	fi

	echo "[$Pages]"
}

main()
{
	local UpgradeNotePages=`GetUpgradeNotePages`

	if [ "[]" == "$UpgradeNotePages" ]; then
		exit 0
	fi

	echo "$UpgradeNotePages" > $SYNOPKG_TEMP_LOGFILE

	exit 0
}

main "$@"
