#!/bin/sh

remove_gid=`synogroup --get users | grep 'Group ID' | awk '{ print $3 }'`
remove_gid=`echo ${remove_gid:1:$((${#remove_gid} - 2))}`
$SQLITE3 /etc/synoappprivilege.db "
DELETE FROM AppPrivRule WHERE Type = 1 AND ID = $remove_gid AND (
  App = 'SYNO.SDS.VPNPlus.PPTP' or
  App = 'SYNO.SDS.VPNPlus.L2TP' or
  App = 'SYNO.SDS.VPNPlus.SSTP' or
  App = 'SYNO.SDS.VPNPlus.SSL' or
  App = 'SYNO.SDS.VPNPlus.OpenVPN' or
  App = 'SYNO.SDS.VPNPlus.RDP'
);
"

$SQLITE3 $VPNPLUS_DB '
CREATE TABLE traffic_s2s_data (
  tsd_id      INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
  tid         INTEGER NOT NULL,
  period      INTEGER NOT NULL,
  upload      INTEGER NOT NULL,
  download    INTEGER NOT NULL,
  time        INTEGER NOT NULL
) ;
CREATE INDEX tsd_time_idx ON traffic_s2s_data(time);

CREATE TABLE traffic_data_report (
  tdr_id    INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
  cid      INTEGER NOT NULL,
  period   INTEGER NOT NULL,
  upload   INTEGER NOT NULL,
  download INTEGER NOT NULL,
  time     INTEGER NOT NULL,
  UNIQUE (cid, time) on CONFLICT ABORT,
  FOREIGN KEY (cid) REFERENCES connectivity (cid) ON DELETE CASCADE
) ;
CREATE INDEX tdr_time_idx ON traffic_data_report(time);
CREATE INDEX tdr_cid_idx ON traffic_data_report(cid);

CREATE TABLE traffic_protocol_data_report (
  tpdr_id      INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
  pid         INTEGER NOT NULL,
  period      INTEGER NOT NULL,
  upload      INTEGER NOT NULL,
  download    INTEGER NOT NULL,
  online_user INTEGER NOT NULL,
  time        INTEGER NOT NULL,
  UNIQUE (pid, time) on CONFLICT ABORT,
  FOREIGN KEY (pid) REFERENCES protocol (pid)
) ;
CREATE INDEX tpdr_time_idx ON traffic_protocol_data_report(time);

CREATE TABLE traffic_s2s_data_report (
  tsdr_id      INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
  tid         INTEGER NOT NULL,
  period      INTEGER NOT NULL,
  upload      INTEGER NOT NULL,
  download    INTEGER NOT NULL,
  time        INTEGER NOT NULL,
  UNIQUE (tid, time) on CONFLICT ABORT
) ;
CREATE INDEX tsdr_time_idx ON traffic_s2s_data_report(time);
'
