#!/bin/sh

s2s_configs="$PKG_USR_CONF_DIR/s2s/sites.conf"
tmp_s2s_cfg="/tmp/s2s_config"
synonet="/usr/syno/sbin/synonet"
updater_tool="${PKG_TARGET_DIR}/tool/updater"
httpd_sites_enable="/etc/httpd/sites-enabled"
WP_HTTPD_CONF_NAME="SYNO.SDS.VPNPlus.WebPortal.Application.alt_port_ssl.conf"
RDP_HTTPD_CONF_NAME="SYNO.SDS.VPNPlus.WebPortal.Application.RemoteDesktop.alt_port_ssl.conf"

# update dpd config of s2s
for id in `jq '.[] | select(.dpd_enable == false) | .site_id | tonumber' $s2s_configs`; do
	tunnel_conf="$PKG_USR_CONF_DIR/s2s/ipsec_tunnel${id}.conf"
	echo "    dpdaction=restart" >> $tunnel_conf;
	echo "    dpddelay=30" >> $tunnel_conf;
	echo "    dpdtimeout=120" >> $tunnel_conf;
done

/bin/jq 'map(.dpd_interval = if .dpd_enable == false then 30 else .dpd_interval end)' $s2s_configs > $tmp_s2s_cfg;
mv $tmp_s2s_cfg $s2s_configs
/bin/jq 'map(.dpd_timeout = if .dpd_enable == false then 120 else .dpd_timeout end)' $s2s_configs > $tmp_s2s_cfg;
mv $tmp_s2s_cfg $s2s_configs;
/bin/jq 'map(.dpd_enable = true)' $s2s_configs > $tmp_s2s_cfg;
mv $tmp_s2s_cfg $s2s_configs;

# update interface config of s2s
$updater_tool -v 436

# update httpd config
mkdir -p "$PKG_USR_CONF_DIR/sites-enabled"

if [ -e "$httpd_sites_enable/$WP_HTTPD_CONF_NAME" ]; then
	cp -f "$httpd_sites_enable/$WP_HTTPD_CONF_NAME" "$PKG_USR_CONF_DIR/sites-enabled/$WP_HTTPD_CONF_NAME"
fi
if [ -e "$httpd_sites_enable/$RDP_HTTPD_CONF_NAME" ]; then
	cp -f "$httpd_sites_enable/$RDP_HTTPD_CONF_NAME" "$PKG_USR_CONF_DIR/sites-enabled/$RDP_HTTPD_CONF_NAME"
fi
