#!/bin/sh

SZF_NETTOOL="/usr/syno/sbin/synonettool"

case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		echo "1.0";
		;;
	--name)
		#Print package name
		echo "miniupnpd"
		;;
	--pkg-ver)
		#Print package version
		echo "1.0";
		;;
	--vendor)
		#Print package vendor
		echo "Synology";
		;;
	--post)
		if [ "0.0.0.0" = "${NEW_ADDRESS}" ]; then
			return
		fi

		TOPOLOGY=$(${SZF_NETTOOL} --topology --get)
		if [ "xrouter" != "x${TOPOLOGY}" ] && [ "x${IFNAME}" = "x$(${SZF_NETTOOL} --wan --ifname 0)" ]; then
			return
		fi

		is_lan=$(${SZF_NETTOOL} --lan --list-ifnames | grep -c "${IFNAME}");
		if [ "x${is_lan}" = "x1" ]; then
			synowebapi --exec api=SYNO.VPNPlus.Object.Ippool method=get
		fi
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac
