#!/bin/sh

SZF_VPNTOOL="/var/packages/VPNPlusServer/target/tool/synovpnplustool"
SZF_NETDTOOL="/usr/syno/sbin/synonetdtool"
SZF_NETTOOL="/usr/syno/sbin/synonettool"

smartwan_intf_updater()
{
	local intf1=`/usr/syno/sbin/synoswitchvlantool --get-wan-if 1`
	local intf2=`/usr/syno/sbin/synoswitchvlantool --get-wan-if 2`

	if [ "$IFNAME" != "$intf1" ] && [ "$IFNAME" != "$intf2" ]; then
		return
	fi

	${SZF_VPNTOOL} -f -u # Auto update IF
}

tc_rebuilder()
{
	if [ "x${IFNAME}" = "xppp200" ] || [ "x${IFNAME}" = "xppp300" ]; then
		return
	fi

	${SZF_VPNTOOL} -t -r
}

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
		echo "1.0"
		;;
	--name)
	#Print package name
		echo "VPNPlus";
		;;
	--pkg-ver)
	#Print package version
		echo "1.0";
		;;
	--vendor)
	#Print package vendor
		echo "Synology";
		;;
	--pre)
		;;
	--post)
		tc_rebuilder
		smartwan_intf_updater
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac
