#!/bin/sh

SZF_VPNTOOL="/var/packages/VPNPlusServer/target/tool/synovpnplustool"
SZF_NETTOOL="/usr/syno/sbin/synonettool"

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
		echo "1.0"
		;;
	--name)
	#Print package name
		echo "VPNPlus";
		;;
	--pkg-ver)
	#Print package version
		echo "1.0";
		;;
	--vendor)
	#Print package vendor
		echo "Synology";
		;;
	--pre)
		;;
	--post)
		if [ "0.0.0.0" = "${NEW_ADDRESS}" ]; then
			return
		fi

		local cur_ip=`ifconfig ${IFNAME} | grep "inet addr" | cut -d: -f 2 | cut -d " " -f 1`
		if [ "${cur_ip}" != "" ] ; then
			${SZF_VPNTOOL} -s -i ${IFNAME} ${cur_ip}
		fi

		TOPOLOGY=$(${SZF_NETTOOL} --topology --get)
		if [ "xrouter" != "x${TOPOLOGY}" ] && [ "x${IFNAME}" = "x$(${SZF_NETTOOL} --wan --ifname 0)" ]; then
			return
		fi

		is_lan=$(${SZF_NETTOOL} --lan --list-ifnames | grep -c "${IFNAME}");
		if [ "x${is_lan}" = "x1" ]; then
			/bin/sleep 10
			${SZF_VPNTOOL} -f -v "${IFNAME}"
		fi
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac
