#!/bin/sh

SZF_IFCONFIG="/sbin/ifconfig"
SZF_NETTOOL="/usr/syno/sbin/synonettool"

case $1 in
	--sdk-mod-ver)
	#Print SDK support version
		echo "1.0";
	;;
	--name)
	#Print package name
		echo "VPNPlus";
	;;
	--pkg-ver)
	#Print package version
		echo "1.0";
	;;
	--vendor)
	#Print package vendor
		echo "Synology";
	;;
	--post)
		if [ "${IFTYPE}" != "VPN_CLIENT" ]; then
			exit 0
		fi

		VirtualIP=$(${SZF_IFCONFIG} | grep "${IFNAME}" -A 1 | tail -n 1 | awk '{print$3}' | awk -F':' '{print $2}')

		# del SNAT if the ippool of PPTP is LAN
		TOPOLOGY=$(${SZF_NETTOOL} --topology --get)
		IPPOOL=$(/usr/syno/bin/get_section_key_value /usr/syno/etc/packages/VPNPlusServer/synovpnplus.conf pptp ippool)
		if [ "xrouter" != "x${TOPOLOGY}" ] && [ "x${IPPOOL}" = "x$(${SZF_NETTOOL} --wan --ifname 0)" ]; then
			return
		fi

		IPPOOLISLAN=$(${SZF_NETTOOL} --lan --list-ifnames | grep -c "${IPPOOL}")
		if [ "${IFNAME#ppp*}" -lt 300 ] && [ "x${IPPOOLISLAN}" = "x1" ]; then
			LANMASK=$(ip -o -f inet addr show "${IPPOOL}" | awk '/scope global/ {print $4}')
			[ ! -z "${LANMASK}" ] && LANMASK="-d ${LANMASK}"
			iptables -t nat -D POSTROUTING -s "${VirtualIP}/32" "${LANMASK}" -j MASQUERADE
		fi
	;;
	*)
	echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac


