#!/usr/bin/env python2.7

'''
{
    'old': {
	    'context': 'router',
	    'networks': {
		    'lbr0': {
			    'owners': [ 'LAN' ],
		    },
		    'gbr0': {
			    'owners': [ 'LAN' ],
		    },
		    'voiptv0': {
			    'owners': [ 'VOIPTV' ],
		    },
		    'wan0': {
			    'ifname': 'eth0',
			    'owners': [ 'VOIPTV', 'WAN' ],
		    },
		    'wan1': {
			    'ifname': 'eth2',
			    'owners': [ 'WAN' ],
		    }
	    }
    },
    'new': {
	    'context': 'bridge',
	    'networks': {
		    'br0': {
			    'owners': [ 'WAN', 'LAN' ],
		    },
		    'br2': {
			    'owners': [ 'LAN' ],
		    },
		    'gbr0': {
			    'owners': [ 'LAN' ],
		    }
	    }
    }
}
'''

import json
import argparse
import sys

def getLans(networks):
    lans = set()
    for ifname, value in networks.items():
        if 'LAN' in value['owners'] and 1 == len(value['owners']):
            lans.add(ifname)

    return lans

def main():
    parser = argparse.ArgumentParser(description='vpn topology change')
    parser.add_argument('topology_event_file', help='topology event file')
    parser.add_argument('type', choices=['old', 'new'], help='type: new|old')

    args = parser.parse_args()

    f = open(args.topology_event_file)
    data = json.load(f)
    f.close()

    print (" ".join(getLans(data[args.type]['networks'])))

if __name__ == '__main__':
    try:
        main()
    except Exception as e:
        print (e)
        sys.exit(-1)
    except:
        print ('unknown error')
        sys.exit(-1)

    sys.exit(0)
