/* Copyright (c) 2022 Synology Inc. All rights reserved. */

var async=require("async"),dns=require("dns"),dnscache=require("dnscache")({enable:true,ttl:300,cachesize:1E3}),nodeCache=require("node-cache"),log4js=require("log4js"),request=require("request"),transform=require("stream").Transform,url=require("url"),zlib=require("zlib"),fs=require("fs");global._config=require("./config.js");global._log=log4js.getLogger();global._q=require("q");global._utils=require("./lib/common/utils");
var auth=require("./lib/common/auth.js"),db=require("./lib/common/db.js"),parser=require("./lib/common/parser.js"),portalHttpServer=require("./lib/http/portalHttpServer.js"),ruleMgr=require("./lib/common/ruleManager.js"),sessionArrayMgr=require("./lib/common/sessionArrayMgr.js"),sitesReader=require("./lib/common/sitesReader.js"),socketServer=require("./lib/common/socketServer.js"),tc=require("./lib/common/tc.js"),https=require("https"),execSync=_utils.execSync,sessionArray=[],SOL_SOCKET=1,SO_OPT=
0,GC_SIZE=26214400,GC_INTERVAL=36E5,transDataSize=0,connectionTimeout=3E5,rawdata=fs.readFileSync("/var/packages/VPNPlusServer/target/synorouterportal/ratelimit.conf"),rule=JSON.parse(rawdata),ipRateLimit=rule.ratelimit,ipCache=new nodeCache({stdTTL:rule.ttl,checkperiod:rule.checkperiod});
function main(){var a;log4js.configure("/var/packages/VPNPlusServer/target/synorouterportal/log.conf");socketServer.createSocketServer(socketCmdHandler);process.on("uncaughtException",function(b){_log.error(b,"uncaughtException")});process.on("SIGUSR2",function(){_log.info("regenerate session ticket keys due to SIGUSR2...");a.regenerateTicketKey()});process.on("SIGTERM",function(){socketServer.closeSocketServer();0===sessionArray.length&&process.exit();sessionArray.forEach(function(b){tc.removeTcMark(b.user,
b.sessionID);db.updateConnectWPDB(b.target,b.sessionID).then(function(){return db.updateConnectDB(b.user,b.sessionID)})})});ruleMgr.init();_config.loadVPNPlusConfig();a=portalHttpServer.createServer(serverHandler);portalHttpServer.httpsServer.on("connection",connectionEventHandler);setInterval(function(){sessionArray=sessionArrayMgr.kickOfflineUser(sessionArray)},5E3);setInterval(function(){_log.info("i do gc every hour");global.gc()},GC_INTERVAL);a.listen(function(){_log.info("server started")})}
function connectionEventHandler(a){a.stored_remotePort=a.remotePort;a.once("close",function(){a.stored_remotePort&&sessionArray.forEach(function(b){var c=_utils.isArrayObjExist(b.oriPort,a.stored_remotePort);-1!==c&&b.oriPort.splice(c,1)})})}
function setRedirectCookie(a){a.headers.hasOwnProperty("set-cookie")&&a.headers["set-cookie"].forEach(function(g){this.setHeader("cookie",g)},this);if(a.headers.location){var b=getDestObj(a.headers.location),c=ruleMgr.getRulesOfTarget()[b.scheme+"://"+b.host+":"+b.port+b.path]||ruleMgr.getRulesOfTarget()[b.scheme+"://"+b.host+":"+b.port+"/"];if(c){a.headers.location="https://"+c.entry+"."+_config.getDomain()+":"+_config.getHttpsPort()+b.path;return false}}return true}
function constructRelay(a,b,c){var g,e=c.destObj,h=c.entry,f=0,i=new transform,k=false,j=[],l=undefined,p=307,n=false;a=parser.parseRequestForTarget(a);a.headers=parser.parseRequestHeaderForTarget(a.headers);e={url:e.scheme+"://"+e.host+(80===e.port||443===e.port?"":":"+e.port)+a.url,headers:a.headers,method:a.method,rejectUnauthorized:false,followAllRedirects:true,followRedirect:setRedirectCookie,forever:true};delete e.headers.host;_log.info("request to: "+e.url);g=request(e).on("error",function(d){_log.error(d)}).on("redirect",
function(){if(this.response.headers.hasOwnProperty("set-cookie"))l=this.response.headers["set-cookie"];if(this.response.statusCode)p=this.response.statusCode;n=true}).on("response",function(d){d=d.socket;if(d._handle&&d._handle.fd){var m=d._handle.fd;if(!(-1!==_utils.isArrayObjExist(c.tc.upload.fd,m)||-1===m)){d.setMaxListeners(0);c.tc.upload.fd.push(m);tc.setTcMark(m,SOL_SOCKET,SO_OPT,c.tc.upload.mark);d.once("close",function(){var q=_utils.isArrayObjExist(c.tc.upload.fd,m);-1!==q&&c.tc.upload.fd.splice(q,
1)})}}});a.pipe(g).on("response",function(d){var m=d.headers;d.setTimeout(0);if(d.httpVersion==="1.0"){b.useChunkedEncodingByDefault=false;delete m.connection}delete m["transfer-encoding"];"strict-transport-security"in m&&delete m["strict-transport-security"];if(n){d.statusCode=p;m.location=url.resolve("https://"+h+"."+_config.getDomain()+":"+_config.getHttpsPort(),d.request.uri.path)}if(l){m["set-cookie"]=l;l=undefined}m=parser.parseResHeaderForClient(m);c.destObj.scheme=d.request.uri.protocol.toString().replace(":",
"");c.destObj.host=d.request.uri.hostname;c.destObj.port=parseInt(d.request.uri.port);var q=m["content-type"];i._transform=function(o,r,t){o=o.toString("binary");sitesReader.updateTitle(o,q,h);sitesReader.updateFavicon(o,a.headers["user-agent"],h,c.destObj);o=parser.parseResDataForClient(o);if(_config.getEnableMixContent())k=detectMixContent(o)||k;o=new Buffer(o,"binary");j.push(o);t(null)};i.on("finish",function(){var o=_utils.getCookiesFromHeader(a.headers).mixContent,r=Buffer.concat(j);if(k&&(!o||
0!==a.url.indexOf(o)))_utils.showHtmlPage("mixContent.html",b);else{m["content-length"]=r.length;b.writeHead(d.statusCode,m);b.write(r);b.end()}});var s=d.headers["content-encoding"];if(q)if(q.indexOf("text/html")>=0||q.indexOf("application/javascript")>=0||q.indexOf("application/json")>=0)if(s)if(0<=s.indexOf("gzip")){delete m["content-encoding"];delete m["content-length"];d.pipe(zlib.createGunzip()).pipe(i)}else{_log.error("we did not support the encoding: "+s);d.pipe(i)}else d.pipe(i);else{b.writeHead(d.statusCode,
m);d.pipe(b)}else{b.writeHead(d.statusCode,m);d.pipe(b)}d.on("data",function(o){c.expireTime=Date.now()+connectionTimeout;f+=o.length;if(GC_SIZE<f){_log.info("garbage collection started due to heap size is full");global.gc();f=0}});d.on("error",function(o){_log.error(o,"proxy response error");b.destroy.bind(b)})});if(a.socket._handle&&a.socket._handle.fd){if(-1!==_utils.isArrayObjExist(c.tc.download.fd,a.socket._handle.fd))return;a.socket.setMaxListeners(0);a.socket.stored_fd=a.socket._handle.fd;
c.tc.download.fd.push(a.socket._handle.fd);tc.setTcMark(a.socket._handle.fd,SOL_SOCKET,SO_OPT,c.tc.download.mark);a.socket.once("close",function(){if(a.socket.stored_fd){var d=_utils.isArrayObjExist(c.tc.download.fd,a.socket.stored_fd);-1!==d&&c.tc.download.fd.splice(d,1)}})}g.once("error",function(d){_log.error(d,"proxy request error");g.removeAllListeners();a.removeAllListeners()});a.once("error",function(){g.destroy.bind(g)});g.once("finish",function(){g.destroy.bind(g)});b.once("finish",function(){b.destroy.bind(b);
transDataSize+=b.transferBytes;if(GC_SIZE<transDataSize){_log.info("garbage collection started due to response finish");global.gc();transDataSize=0}});b.once("close",function(){_log.info("close");g.abort()})}
function constructWsRelay(a,b,c){var g,e=0;a=parser.parseRequestForTarget(a);a.headers=parser.parseRequestHeaderForTarget(a.headers);g={headers:a.headers,host:c.destObj.host,port:c.destObj.port,path:a.url,method:a.method,rejectUnauthorized:false,followAllRedirects:true,forever:true};delete g.headers.host;_log.info("request websocket to: "+g.host,"path is: "+a.url);https.request(g).on("error",function(h){_log.error(h);a.removeAllListeners()}).on("upgrade",function(h,f){var i=h.headers,k="HTTP/"+h.httpVersion+
" "+h.statusCode+" "+h.statusMessage+"\r\n";k+=i.connection?"Connection: "+i.connection+"\r\n":"";k+=h.headers["sec-websocket-accept"]?"Sec-WebSocket-Accept: "+h.headers["sec-websocket-accept"]+"\r\n":"";k+=h.headers["sec-websocket-extensions"]?"Sec-WebSocket-Extensions: "+h.headers["sec-websocket-extensions"]+"\r\n":"";k+=h.headers["sec-websocket-key"]?"Sec-WebSocket-Key: "+h.headers["sec-websocket-key"]+"\r\n":"";k+=h.headers["sec-websocket-protocol"]?"Sec-WebSocket-Protocol: "+h.headers["sec-websocket-protocol"]+
"\r\n":"";k+=h.headers["sec-websocket-version"]?"Sec-WebSocket-Version: "+h.headers["sec-websocket-version"]+"\r\n":"";k+="Server: "+i.server+"\r\n";k+="Upgrade: "+i.upgrade+"\r\n";k+="\r\n";b.write(k);f.pipe(b);b.pipe(f);var j=f._handle.fd;if(!(-1!==_utils.isArrayObjExist(c.tc.upload.fd,j)||-1===j)){f.setMaxListeners(0);c.tc.upload.fd.push(j);tc.setTcMark(j,SOL_SOCKET,SO_OPT,c.tc.upload.mark);f.once("close",function(){var l=_utils.isArrayObjExist(c.tc.upload.fd,j);-1!==l&&c.tc.upload.fd.splice(l,
1)});f.on("data",function(l){c.expireTime=Date.now()+connectionTimeout;e+=l.length;if(GC_SIZE<e){_log.info("garbage collection started due to heap size is full");global.gc();e=0}})}}).end();if(a.socket._handle&&a.socket._handle.fd){if(-1!==_utils.isArrayObjExist(c.tc.download.fd,a.socket._handle.fd))return;a.socket.setMaxListeners(0);a.socket.stored_fd=a.socket._handle.fd;c.tc.download.fd.push(a.socket._handle.fd);tc.setTcMark(a.socket._handle.fd,SOL_SOCKET,SO_OPT,c.tc.download.mark);a.socket.once("close",
function(){if(a.socket.stored_fd){var h=_utils.isArrayObjExist(c.tc.download.fd,a.socket.stored_fd);-1!==h&&c.tc.download.fd.splice(h,1)}})}a.once("error",function(){realReq.destroy.bind(realReq)});b.once("finish",function(){b.destroy.bind(b);transDataSize+=b.transferBytes;if(GC_SIZE<transDataSize){_log.info("garbage collection started due to response finish");global.gc();transDataSize=0}})}
function detectMixContent(a){return null!==a.toString().match(/<\s*.*link.*href="http:\/\/.[^"]*.css".*\s*>/)||null!==a.toString().match(/<\s*.*script.*src="http:\/\/.[^"]*".*\s*>/)||null!==a.toString().match(/<\s*.*iframe.*src="http:\/\/.[^"]*".*\s*>/)||null!==a.toString().match(/<\s*.*object.*data="http:\/\/.[^"]*".*\s*>/)}function redirectURL(a,b,c,g){a.writeHead(307,{Location:"https://"+b+(c?":"+c:"")+(g?g:"")});a.end()}
function isOverRateLimit(a){var b=ipCache.get(a);if(undefined===b)ipCache.set(a,1);else{_log.info(a+":"+b+" the rate limit check");ipCache.set(a,b+1);if(b>ipRateLimit){_log.error(a+":"+b+" exceeds the rate limit:"+ipRateLimit);return true}}return false}function delIpCache(a){ipCache.del(a)}
function serverHandler(a,b){var c=a.headers.host.substr(0,a.headers.host.indexOf("."+_config.getDomain())),g=_utils.getCookiesFromHeader(a.headers).vpnplus_id,e=a.connection.remoteAddress,h=a.connection.remotePort;if(sessionArray.find(function(f){return f.sessionID===g&&f.oriIP===e}))delIpCache(e);else if(isOverRateLimit(e)){b.connection&&b.connection.end();return}if(c)c===_config.getServicePrefix()?webportalSiteHandler(a,b,c,g,e,h):webvpnHandler(a,b,c,g,e,h);else{_log.info("307 redirect to login page");
redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),a.url)}}function initCheckPrivOpt(a,b){a.headers["X-FORWARDED-FOR"]=b.replace("::ffff:","");a={url:_utils.webportalUrl+"/webportal.cgi?action=check_priv_and_quota",headers:a.headers,method:a.method,rejectUnauthorized:false,followAllRedirects:true};delete a.headers.host;delete a.headers["accept-encoding"];return a}
function webportalSiteHandler(a,b,c,g,e,h){var f;if(g)if(0!==a.url.indexOf("/webportal.cgi?go=")){_log.info("webportal UI page's request");getWebportalSite(a,b,e)}else{f=initCheckPrivOpt(a,e);request(f,function(i,k,j){if(i||200!==k.statusCode){_log.error("check privilege failed: "+i+" "+k.statusCode);getWebportalSite(a,b,e)}else{var l;j=JSON.parse(j);if(j.uid){l=goHandler(a,b,j.uid,j.name,g,e,h);if(j.hasPermission){_log.info("session id is valid");db.insertConnectDB(j.name,g,e,j.uid).then(function(){return _q.all([db.insertConnectWPDB(l.target,
g,j.uid),db.updateHistoryDB(j.uid,l.entry,l.target)])});l.permission?_utils.showHtmlPage("loading.html",b,null,function(p){return p=p.replace("TARGET","https://"+l.entry+"."+_config.getDomain()+":"+_config.getHttpsPort()+l.destObj.path)}):_utils.showHtmlPage("pageNotFound.html",b)}else if("license"===j.reason){_log.error("no license quota");db.updateHistoryDB(j.uid,l.entry,l.target);_utils.showHtmlPage("noLicenseQuota.html",b)}else{_log.error("no permission of using webportal. uid is: "+l.uid);db.updateHistoryDB(l.uid,
l.entry,l.target);redirectPath=c&&destObj?"/webportal.cgi?go="+destObj.scheme+"://"+destObj.host+":"+destObj.port+a.url:a.url;redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),redirectPath)}}else{_log.error("i dont know who is using the web portal.");getWebportalSite(a,b,e)}}})}else{_log.info("there is no session id exist");getWebportalSite(a,b,e)}}
function webvpnHandler(a,b,c,g,e,h){var f=ruleMgr.getMapping(c),i,k,j;if(g)if(k=updateSessionArray(g,e,h,c)){a.headers["X-FORWARDED-FOR"]=e.replace("::ffff:","");getTargetSite(a,b,k)}else if(f)if(c!==f.prefix){_log.info("redirect to correct path");i="/webportal.cgi?go="+f.scheme+"://"+f.host+":"+f.port+f.path;redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),i)}else{k=initCheckPrivOpt(a,e);request(k,function(l,p,n){if(l||200!==p.statusCode){_log.error("check privilege failed: "+
l+" "+p.statusCode);getWebportalSite(a,b,e)}else{var d;n=JSON.parse(n);if(n.uid)if(j=auth.getCustomSite(n.uid,c)){d=genNewSessionObj(n.uid,n.name,g,c,e,h,f);d.permission=j;sessionArray.push(d);ruleMgr.insertDynamicRule(f);if(n.hasPermission){_log.info("session id is valid");db.insertConnectDB(n.name,g,e,n.uid).then(function(){return _q.all([db.insertConnectWPDB(d.target,g,n.uid),db.updateHistoryDB(n.uid,d.entry,d.target)])});d.permission?getTargetSite(a,b,d):_utils.showHtmlPage("pageNotFound.html",
b)}else if("license"===n.reason){_log.error("no license quota");db.updateHistoryDB(n.uid,d.entry,d.target);_utils.showHtmlPage("noLicenseQuota.html",b)}else{_log.error("no permission of using webportal. uid is: "+d.uid);db.updateHistoryDB(d.uid,d.entry,d.target);i=c&&f?"/webportal.cgi?go="+f.scheme+"://"+f.host+":"+f.port+a.url:a.url;redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),i)}}else{_log.error("no permission of accessing site: "+c+", uid is: "+n.uid);
redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),"/views/pageNotFound.html")}else{_log.error("i dont know who is using the web portal.");i=c&&f?"/webportal.cgi?go="+f.scheme+"://"+f.host+":"+f.port+a.url:a.url;redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),i)}}})}else{_log.error("no permission of accessing website");redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),"/views/pageNotFound.html")}else{_log.info("there is no session id exist");
i=c&&f?"/webportal.cgi?go="+f.scheme+"://"+f.host+":"+f.port+a.url:a.url;redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),i)}}
function genNewSessionObj(a,b,c,g,e,h,f){a={sessionID:c,uid:a,oriIP:e,oriPort:[h],entry:g,user:b,expireTime:Date.now()+connectionTimeout};if(f){c=tc.getTcMarkByUser(b,c);SO_OPT=c[0];a.tc={upload:{mark:c[1],fd:[]},download:{mark:c[2],fd:[]}};a.blockSites=tc.getBlockList(b);a.destObj=f;a.target=f.scheme+"://"+f.host+":"+f.port+f.path}else a.target=_utils.webportalUrl+"/";return a}
function getWebportalSite(a,b,c){a.headers["X-FORWARDED-FOR"]=c.replace("::ffff:","");a.pipe(request({url:_utils.webportalUrl+a.url,headers:a.headers,method:a.method,rejectUnauthorized:false})).pipe(b)}
function getTargetSite(a,b,c){dnscache.lookup(c.destObj.host,4,function(g,e){if(g){_log.error("dns resolve failed: "+c.destObj.host);redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),"/views/pageNotFound.html")}else if(_utils.isSiteBlocked(e,c)){_log.info("request url is blocked by admin");redirectURL(b,_config.getServicePrefix()+"."+_config.getDomain(),_config.getHttpsPort(),"/views/pageNotFound.html")}else a.headers.connection.toLowerCase().includes("upgrade")?
constructWsRelay(a,b,c):constructRelay(a,b,c)})}function getDestObj(a){var b={};a=url.parse(a);b.scheme=a.protocol?a.protocol.replace(":",""):"http";return b={scheme:b.scheme,host:a.hostname,port:a.port?parseInt(a.port):"http"===b.scheme?80:443,path:a.path}}
function goHandler(a,b,c,g,e,h,f){a=a.url.replace("/webportal.cgi?go=","");b=getDestObj(a);var i={},k,j;if(i=ruleMgr.getRulesOfTarget()[b.scheme+"://"+b.host+":"+b.port+b.path]||ruleMgr.getRulesOfTarget()[b.scheme+"://"+b.host+":"+b.port+"/"]){k=i.entry;j=auth.getCustomSite(c,i.alias)}else{k=_utils.genRandomEntry(b.scheme+"://"+b.host+":"+b.port);j=auth.getDefault(c)}b.prefix=k;if(j){(i=updateSessionArray(e,h,f,k))||(i=genNewSessionObj(c,g,e,k,h,f,b));i.destObj=b;i.permission=j;sessionArray.push(i);
ruleMgr.insertDynamicRule(b)}else{_log.error("no permission of user: "+c);i={entry:k,target:a,permission:j}}return i}function updateSessionArray(a,b,c,g){var e=sessionArray.find(function(h){return h.sessionID===a&&h.oriIP===b&&h.entry===g});if(e){e.oriPort.find(function(h){return h===c})||e.oriPort.push(c);e.expireTime=Date.now()+connectionTimeout}return e}
function socketCmdHandler(a,b){var c;c=JSON.parse(a).cmd;a=JSON.parse(a).option;switch(c){case "reload_rule":_log.info("reload rule");_config.loadVPNPlusConfig();ruleMgr.reloadStaticRule(sessionArray);b.end();break;case "reload_blockSites":_log.info("reload block sites");sessionArray.forEach(function(g){g.blockSites=tc.getBlockList(g.user)});b.end();break;case "rebuild_tc":_log.info("rebuild tc");tc.rebuildTcMark(sessionArray,SOL_SOCKET,SO_OPT);b.end();break;case "get_tc_mark":_log.info("get tc mark");
c=tc.checkCurrentTcMark(sessionArray,SOL_SOCKET,SO_OPT);b.end(c,"utf8");break;case "logout":_log.info(a+" logout");sessionArray=sessionArrayMgr.logoutHandler(sessionArray,a);b.end();break;default:_log.error("no such command: "+c);b.end("failed","utf8");break}}main();
